Package: kernel-package
Version: 13.018
Severity: normal

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?

I noticed the manual page for make-kpkg suggested:

%  KBUILD_VERBOSE=1  MAKEFLAGS='CC=gcc-4.4 KCFLAGS="-march=athlon64"'
       make-kpkg configure

However if once specifies multiple options in the double quotes for KCFLAGS,
the build fails:

am64:/usr/src/linux# CONCURRENCY_LEVEL=4 MAKEFLAGS='CC=gcc-6 KCFLAGS="-v 
-march=athlon64"' \
> make-kpkg --config menuconfig --initrd linux-image
exec make kpkg_version=13.018 -f /usr/share/kernel-package/ruleset/ 
debian CONFIG_TARGET=menuconfig  INITRD=YES 
/bin/sh: line 0: [: -lt: unary operator expected
/bin/sh: line 0: [: -gt: unary operator expected
/bin/sh: line 0: [: -lt: unary operator expected
make -f debian/rules debian/stamp/conf/kernel-conf
make[1]: Entering directory '/usr/src/linux'
make[1]: debian/rules: No such file or directory
make[1]: *** No rule to make target 'debian/rules'.  Stop.
make[1]: Leaving directory '/usr/src/linux'
/usr/share/kernel-package/ruleset/ recipe for target 
'debian/stamp/conf/minimal_debian' failed
make: *** [debian/stamp/conf/minimal_debian] Error 2
Failed to create a ./debian directory: No such file or directory at 
/usr/bin/make-kpkg line 970.

I would like to know how to specify multiple options in the KCFLAGS section
when using make-kpkg and for this to be documented in the make-kpkg manual 
page please.

   * What exactly did you do (or not do) that was effective (or
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 
Architecture: amd64 (x86_64)

Kernel: Linux 4.8.0 (SMP w/4 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Init: sysvinit (via /sbin/init)

Versions of packages kernel-package depends on:
ii  bc               1.06.95-9+b2
ii  binutils         2.27-8
ii  build-essential  12.2
ii  bzip2            1.0.6-8
ii  dpkg-dev         1.18.10
ii  file             1:5.28-4
ii  gettext
ii  kmod             22-1.1
ii  po-debconf       1.0.20
ii  xmlto            0.0.28-0.1
ii  xz-utils [lzma]  5.2.2-1.2

Versions of packages kernel-package recommends:
ii  cpio           2.11+dfsg-5
ii  docbook-utils  0.6.14-3.3
ii  kernel-common  13.018
pn  uboot-mkimage  <none>

Versions of packages kernel-package suggests:
ii  libncurses5-dev [libncurses-dev]  6.0+20160917-1
pn  linux-source                      <none>

-- Configuration Files:
/etc/kernel-pkg.conf changed:
maintainer := Arthur Marsh
email :=
priority := Low

-- debconf-show failed

Reply via email to